Series latest
GET
/v1/series/{id}/latestThe newest figure your plan can see for one series, the same period a year before, and the change in percent.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| idrequired | string path | Series id from /v1/series e.g. jp.arrivals.total.m |
Request
# The newest figure of a series, with a year before
curl "https://api.tourismapi.com/v1/series/jp.arrivals.total.m/latest" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/series/jp.arrivals.total.m/latest", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/series/jp.arrivals.total.m/latest",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/series/jp.arrivals.total.m/latest");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_d440128e7b",
"data_as_of": "2026-10-20T04:48:00Z",
"count": 1
},
"data": {
"series": "sr_wxq9yq5v",
"name": "Visitor arrivals to Japan from Total",
"unit": "visitors",
"period": "2026-08",
"value": 3098900,
"year_before": 3428406,
"yoy_pct": -9.6
}
}Response fields
| Field | Type | Example |
|---|---|---|
| series | string | sr_wxq9yq5v |
| name | string | Visitor arrivals to Japan from Total |
| unit | string | visitors |
| period | string | 2026-08 |
| value | number | 3098900 |
| year_before | number | 3428406 |
| yoy_pct | number | -9.6 |